//Code for ATtiny 85, DS18B20 slave sender

#include <TinyWire.h>
#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 4 //data pin

byte own_address = 8; //sensor address

float temperature;
int data[2];

OneWire oneWire(ONE_WIRE_BUS);  
 
DallasTemperature sensors(&oneWire);

void setup() {
  sensors.begin();
  Serial.begin(115200);
  TinyWire.begin( own_address );
  TinyWire.onRequest( onI2CRequest );
}

void loop() {
  
  temperature = readTemperature();
  delay(2000);

}


void onI2CRequest() {
  data[0] = temperature;
  data[1] = (temperature - data[0])*100;

  for (int i = 0; i < 2; i++)
  {
    TinyWire.send(data[i]);
  }
}

float readTemperature()
{
   sensors.requestTemperatures(); 
 
   temperature = sensors.getTempCByIndex(0);

   return temperature;
  
}
